Index: c/src/tests/itrontests/Makefile.am
===================================================================
--- c/src/tests/itrontests/Makefile.am	(revision 5e96e917578509149814e300d56d2a7d47b7f268)
+++ c/src/tests/itrontests/Makefile.am	(revision 4ccd0203a251b6c8640278622136056d7d891b16)
@@ -15,5 +15,5 @@
 
 SUBDIRS = . itronhello itrontask01 itrontask02 itrontask03 itrontask04 \
-    itronmbf01 itronsem01 itrontime01
+    itronmbf01 itronmbox01 itronsem01 itrontime01
 
 
Index: c/src/tests/itrontests/configure.in
===================================================================
--- c/src/tests/itrontests/configure.in	(revision 5e96e917578509149814e300d56d2a7d47b7f268)
+++ c/src/tests/itrontests/configure.in	(revision 4ccd0203a251b6c8640278622136056d7d891b16)
@@ -43,4 +43,5 @@
 itronhello/Makefile
 itronmbf01/Makefile
+itronmbox01/Makefile
 itronsem01/Makefile
 itrontask01/Makefile
Index: c/src/tests/itrontests/itronmbox01/Makefile.in
===================================================================
--- c/src/tests/itrontests/itronmbox01/Makefile.in	(revision 4ccd0203a251b6c8640278622136056d7d891b16)
+++ c/src/tests/itrontests/itronmbox01/Makefile.in	(revision 4ccd0203a251b6c8640278622136056d7d891b16)
@@ -0,0 +1,83 @@
+#
+#  $Id$
+#
+
+@SET_MAKE@
+srcdir = @srcdir@
+top_srcdir = @top_srcdir@
+top_builddir = ..
+subdir = itronmbox01
+
+RTEMS_ROOT = @RTEMS_ROOT@
+PROJECT_ROOT = @PROJECT_ROOT@
+
+VPATH = @srcdir@
+
+TEST = itronmbox01
+PGM = ${ARCH}/$(TEST).exe
+
+MANAGERS = all
+
+# C source names, if any, go here -- minus the .c
+C_PIECES = init
+C_FILES = $(C_PIECES:%=%.c)
+C_O_FILES = $(C_PIECES:%=${ARCH}/%.o)
+
+H_FILES = system.h
+
+DOCTYPES = doc scn
+DOCS = $(DOCTYPES:%=$(TEST).%)
+
+SRCS = $(DOCS) $(C_FILES) $(H_FILES)
+OBJS = $(C_O_FILES)
+
+PRINT_SRCS = $(DOCS)
+
+PGM = ${ARCH}/$(TEST).exe
+
+include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg
+include $(RTEMS_ROOT)/make/leaf.cfg
+
+INSTALL_CHANGE = @INSTALL_CHANGE@
+PACKHEX = @PACKHEX@
+mkinstalldirs = $(SHELL) $(top_srcdir)/@RTEMS_TOPdir@/mkinstalldirs
+
+INSTALLDIRS = $(PROJECT_RELEASE)/tests/screens/sptests
+
+$(INSTALLDIRS):
+	@$(mkinstalldirs) $(INSTALLDIRS)
+
+
+#
+# (OPTIONAL) Add local stuff here using +=
+#
+
+DEFINES +=
+CPPFLAGS +=
+CFLAGS +=
+
+LD_PATHS +=
+LD_LIBS +=
+LDFLAGS +=
+
+#
+# Add your list of files to delete here.  The config files
+#  already know how to delete some stuff, so you may want
+#  to just run 'make clean' first to see what gets missed.
+#  'make clobber' already includes 'make clean'
+#
+
+CLEAN_ADDITIONS +=
+CLOBBER_ADDITIONS +=
+
+all: ${ARCH} $(SRCS) $(PGM)
+	@$(INSTALL_VARIANT) -m 755 ${PGM} $(PROJECT_RELEASE)/tests
+	$(INSTALL_CHANGE) $(srcdir)/$(TEST).scn \
+	    $(PROJECT_RELEASE)/tests/screens/itrontests/$(TEST).scn
+
+${PGM}: $(OBJS) $(LINK_FILES)
+	$(make-exe)
+
+Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
+	cd $(top_builddir) \
+	 && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
Index: c/src/tests/itrontests/itronmbox01/init.c
===================================================================
--- c/src/tests/itrontests/itronmbox01/init.c	(revision 4ccd0203a251b6c8640278622136056d7d891b16)
+++ c/src/tests/itrontests/itronmbox01/init.c	(revision 4ccd0203a251b6c8640278622136056d7d891b16)
@@ -0,0 +1,33 @@
+/*  Init
+ *
+ *  This routine is the initialization task for this test program.
+ *  It is called from init_exec and has the responsibility for creating
+ *  and starting the tasks that make up the test.  If the time of day
+ *  clock is required for the test, it should also be set to a known
+ *  value by this function.
+ *
+ *  Input parameters:  NONE
+ *
+ *  Output parameters:  NONE
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#define TEST_INIT
+#include "system.h"
+#include <stdio.h>
+#include <time.h>
+
+void ITRON_Init( void )
+{
+  printf( "\n\n*** ITRON MBOX TEST 01 ***\n" );
+  printf( "doesn't test anything yet\n" );
+  printf( "*** END OF ITRON MBOX TEST 01 ***\n" );
+  exit( 0 );
+}
+
+
Index: c/src/tests/itrontests/itronmbox01/system.h
===================================================================
--- c/src/tests/itrontests/itronmbox01/system.h	(revision 4ccd0203a251b6c8640278622136056d7d891b16)
+++ c/src/tests/itrontests/itronmbox01/system.h	(revision 4ccd0203a251b6c8640278622136056d7d891b16)
@@ -0,0 +1,36 @@
+/*  system.h
+ *
+ *  This include file contains information that is included in every
+ *  function in the test set.
+ *
+ *  COPYRIGHT (c) 1989-1998.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <tmacros.h>
+#include <itron.h>
+
+/* functions */
+
+void ITRON_Init( void );
+
+/* configuration information */
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+
+#define CONFIGURE_ITRON_INIT_TASK_TABLE
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id Global_variable;   /* example global variable     */
+
+/* end of include file */
Index: testsuites/itrontests/Makefile.am
===================================================================
--- testsuites/itrontests/Makefile.am	(revision 5e96e917578509149814e300d56d2a7d47b7f268)
+++ testsuites/itrontests/Makefile.am	(revision 4ccd0203a251b6c8640278622136056d7d891b16)
@@ -15,5 +15,5 @@
 
 SUBDIRS = . itronhello itrontask01 itrontask02 itrontask03 itrontask04 \
-    itronmbf01 itronsem01 itrontime01
+    itronmbf01 itronmbox01 itronsem01 itrontime01
 
 
Index: testsuites/itrontests/itronmbox01/init.c
===================================================================
--- testsuites/itrontests/itronmbox01/init.c	(revision 4ccd0203a251b6c8640278622136056d7d891b16)
+++ testsuites/itrontests/itronmbox01/init.c	(revision 4ccd0203a251b6c8640278622136056d7d891b16)
@@ -0,0 +1,33 @@
+/*  Init
+ *
+ *  This routine is the initialization task for this test program.
+ *  It is called from init_exec and has the responsibility for creating
+ *  and starting the tasks that make up the test.  If the time of day
+ *  clock is required for the test, it should also be set to a known
+ *  value by this function.
+ *
+ *  Input parameters:  NONE
+ *
+ *  Output parameters:  NONE
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#define TEST_INIT
+#include "system.h"
+#include <stdio.h>
+#include <time.h>
+
+void ITRON_Init( void )
+{
+  printf( "\n\n*** ITRON MBOX TEST 01 ***\n" );
+  printf( "doesn't test anything yet\n" );
+  printf( "*** END OF ITRON MBOX TEST 01 ***\n" );
+  exit( 0 );
+}
+
+
Index: testsuites/itrontests/itronmbox01/system.h
===================================================================
--- testsuites/itrontests/itronmbox01/system.h	(revision 4ccd0203a251b6c8640278622136056d7d891b16)
+++ testsuites/itrontests/itronmbox01/system.h	(revision 4ccd0203a251b6c8640278622136056d7d891b16)
@@ -0,0 +1,36 @@
+/*  system.h
+ *
+ *  This include file contains information that is included in every
+ *  function in the test set.
+ *
+ *  COPYRIGHT (c) 1989-1998.
+ *  On-Line Applications Research Corporation (OAR).
+ *  Copyright assigned to U.S. Government, 1994.
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.OARcorp.com/rtems/license.html.
+ *
+ *  $Id$
+ */
+
+#include <tmacros.h>
+#include <itron.h>
+
+/* functions */
+
+void ITRON_Init( void );
+
+/* configuration information */
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+
+#define CONFIGURE_ITRON_INIT_TASK_TABLE
+
+#include <confdefs.h>
+
+/* global variables */
+
+TEST_EXTERN rtems_id Global_variable;   /* example global variable     */
+
+/* end of include file */
